[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Spacewalk-list] ks-rhn-post problem



As some of you may remember, we had some PostGres DB corruption a few weeks back.  I thought we had fixed it, but now I realized the Spacewalk registration bootstrap process is broken.  The files that Spacewalk is trying to download (rhn-lib, pyOpenSSL) are delivering HTML content instead of actual RPMs.  

--2017-11-14 11:13:57--  http://server.domain/download/package/211d8b496d3a891c4d56d122b29bc6be41ba67f7/0/13/97833/libxml2-2.9.1-6.el7_2.3.x86_64.rpm
Saving to: '/tmp/rhn_rpms/optional/libxml2-2.9.1-6.el7_2.3.x86_64.rpm'
2017-11-14 11:13:57 (216 MB/s) - '/tmp/rhn_rpms/optional/libxml2-2.9.1-6.el7_2.3.x86_64.rpm' saved [4520/4520]

--2017-11-14 11:13:57--  http://server.domain/download/package/cd16ac2e76193e7b35cdbfff1c8abfccd5ef1469/0/13/97847/libxml2-python-2.9.1-6.el7_2.3.x86_64.rpm
Saving to: '/tmp/rhn_rpms/optional/libxml2-python-2.9.1-6.el7_2.3.x86_64.rpm'
2017-11-14 11:13:57 (459 MB/s) - '/tmp/rhn_rpms/optional/libxml2-python-2.9.1-6.el7_2.3.x86_64.rpm' saved [4520/4520]

--2017-11-14 11:13:57--  http://server.domain/download/package/2ab6cf5a3804bdc0e3072da577ae4d3cc174dc7c/0/13/100568/pyOpenSSL-0.13.1-3.el7.x86_64.rpm
Saving to: '/tmp/rhn_rpms/optional/pyOpenSSL-0.13.1-3.el7.x86_64.rpm'
2017-11-14 11:13:57 (1.01 GB/s) - '/tmp/rhn_rpms/optional/pyOpenSSL-0.13.1-3.el7.x86_64.rpm' saved [4520/4520]

--2017-11-14 11:13:57--  http://server.domain/download/package/3d81b986682d69b68c4d4e2330cf2e5ec4f05e67/0/13/104095/rhnlib-2.5.87-1.el7.noarch.rpm
Saving to: '/tmp/rhn_rpms/optional/rhnlib-2.5.87-1.el7.noarch.rpm'
2017-11-14 11:13:57 (1.05 GB/s) - '/tmp/rhn_rpms/optional/rhnlib-2.5.87-1.el7.noarch.rpm' saved [4520/4520]

FINISHED --2017-11-14 11:13:57--
Total wall clock time: 0.06s
Downloaded: 4 files, 18K in 0s (460 MB/s)
error: /tmp/rhn_rpms/optional/pyOpenSSL-0.13.1-3.el7.x86_64.rpm: not an rpm package (or package manifest):
error: /tmp/rhn_rpms/optional/rhnlib-2.5.87-1.el7.noarch.rpm: not an rpm package (or package manifest):
error: /tmp/rhn_rpms/optional/libxml2-python-2.9.1-6.el7_2.3.x86_64.rpm: not an rpm package (or package manifest):
error: /tmp/rhn_rpms/optional/libxml2-2.9.1-6.el7_2.3.x86_64.rpm: not an rpm package (or package manifest):
error: /tmp/rhn_rpms/optional/libxml2-python-2.9.1-6.el7_2.3.x86_64.rpm: not an rpm package (or package manifest):

Here is the snipped content from one of those downloads:
The file you requested could not be downloaded, likely due to one of the following reasons:
      The url has expired.
      The url has been modified.
      The Spacewalk server does not have read permissions on the specified file.
Please revisit the page you received this url from to receive a new one.

I wonder if it's related to this problem:
https://bugzilla.redhat.com/show_bug.cgi?id=1507881

I have Spacewalk 2.7 client rpms in a child channel from the main RHEL 7.3 channel.  What could be causing these download URLs in %post to be invalid?

/Brian/



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]